#include <iostream>
#include <string>
#include <slotsig/slotsig_0.h>
int slot_1()
{
  std::cout << "This is ::slot_1 !\n" ;
  return 1 ;
}
int slot_2()
{
  std::cout << "This is ::slot_2 !\n" ;
  return 3 ;
}
int slot_3()
{
  std::cout << "This is ::slot_3 !\n" ;
  return 5 ;
}

bool my_pred(int i)
{
  return ((i % 3) != 0) ;
}

int main (int argc, char* argv[])
{
  SlotSig::Sig0<int> sig ;
  sig.connect(slot_1) ;
  sig.connect(slot_2) ;
  sig.connect(slot_3) ;
  sig.run_if(my_pred) ;
  return 0 ;
}
