
#include <iostream>

#include "test_name.h"

void Cl::f()
{
  std::cout << "void Cl::f()\n" ;
}

void Cl::f() const
{
  std::cout << "void Cl::f() const\n" ;
}

void Cl::g()
{
  std::cout << "void Cl::g()\n" ;
}

double Cl::div(int a, int b)
{
  std::cout << "Cl::div(" << a << ", " << b << ")\n" ;
  return (a/b) ;
}

SLOTSIG_GET_SLOT_INCLASS(Cl, void, ())
SLOTSIG_SLOT_INCLASS(f)
SLOTSIG_SLOT_INCLASS(g)
SLOTSIG_GET_SLOT_INCLASS_END

SLOTSIG_GET_CONST_SLOT_INCLASS(Cl, void, ())
SLOTSIG_SLOT_INCLASS(f)
SLOTSIG_GET_SLOT_INCLASS_END

SLOTSIG_GET_SLOT_INCLASS(Cl, double, (int, int))
SLOTSIG_SLOT_INCLASS(div)
SLOTSIG_GET_SLOT_INCLASS_END
