#include <iostream>
#include <slotsig/slotsig_0.h>
void f()
{ std::cout << "::f()\n" ; }
class C : public SlotSig::SlotsSetBase
{
  public:
    C() : SlotSig::SlotsSetBase()
    { std::cout << "::C instance at " << this << "\n" ; }
    void m1()
    { std::cout << "::C[" << this << "]::m1()\n" ; }
    void m2()
    { std::cout << "::C[" << this << "]::m2()\n" ; }
} ;
int main (int argc, char* argv[])
{
  SlotSig::Sig0<void> sig ;
  C c1 ;
  C c2 ;
  sig.connect(f) ;
  sig.connect(&c1, &C::m1) ;
  sig.connect(&c1, &C::m2) ;
  sig.connect(&c2, &C::m2) ;
  sig.run() ;
  return 0 ;
}
