#include <iostream>
#include <slotsig/slotsig_1.h>
void f(int i)
{ std::cout << "::f(" << i << ")\n" ; }
class C : public SlotSig::SlotsSetBase
{
  public:
    C() : SlotSig::SlotsSetBase()
    { std::cout << "::C instance at " << this << "\n" ; }
    void m(int i)
    { std::cout << "::C[" << this << "]::m(" << i << ")\n" ; }
} ;
int main (int argc, char* argv[])
{
  SlotSig::Sig1<void, int> sig ;
  C c ;
  sig.connect(f) ;
  sig.connect(&c, &C::m) ;
  std::cout << "Emitting 1...\n" ;
  sig.run(1) ;
  std::cout << "Emitting 77...\n" ;
  sig.run(77) ;
  return 0 ;
}
