#include <iostream>
#include <string>
#include <slotsig/slotsig_1.h>
std::string f(int i)
{ char s[100] = {'\0',} ;
  sprintf(s, "%d", i) ;
  return s ;
}
struct C : public SlotSig::SlotsSetBase
{
  C() : SlotSig::SlotsSetBase() { }
  std::string m(int i)
  { return f(2*i) ; }
} ;
void f_accum(const std::string& s)
{ std::cout << "::f_accum(\"" << s << "\")\n" ; }
struct C_Accum
{
  C_Accum (const std::string& s) : str(s) { }
  void operator() (const std::string& s)
  { str += " " ;
    str += s ;
  }
  std::string str ;
} ;
int main (int argc, char* argv[])
{
  SlotSig::Sig1<std::string, int> sig ;
  C c ;
  sig.connect(f) ;
  sig.connect(&c, &C::m) ;
  std::cout << "Emitting 1 using f_accum...\n" ;
  sig.run(f_accum, 1) ;
  std::cout << "Emitting 3 using C_Accum...\n" ;
  C_Accum accum("concat =") ;
  sig.run(accum, 3) ;
  std::cout << "accum.str = \"" << accum.str << "\"\n" ;
  return 0 ;
}
