
#include <iostream>

#include <slotsig/slotsig_0.h>
#include <slotsig/slotsig_2.h>

#include "test_name.h"

int main(int argc, char* argv[])
{
  SlotSig::Sig0<void> sig0 ;
  SlotSig::Sig2<double, int, int> sig1 ;

  Cl c ;
  SlotSig::connect(&sig0, &c, "f") ;
  SlotSig::connect(&sig0, &c, "g") ;
  SlotSig::connect_const(&sig0, &c, "f") ;
  SlotSig::connect(&sig1, &c, "div") ;

  sig0.run() ;
  sig1.run(1,2) ;

  return 0 ;
}
